<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.2
 *
 * Copyright (C) 2006-2015  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");

include_once("../inc/fic_droits.inc.php");
include_once("../inc/fic_ret.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = @$_POST["titre"];
$td = @$_POST["td"];
$tx = @$_POST["tx"];

$code = str_majuscules(@$_POST["code"]);
$nom = str_majuscules(@$_POST["nom"]);
$codeadev = str_majuscules(@$_POST["codeadev"]);
$lng = str_majuscules(@$_POST["lng"]);

$msg = '';
$retourliste = TRUE;

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
switch ($td) {
    // Ajout de la fiche Pays
    case "add" :
        $rech = "SELECT COUNT(*) FROM `" . TBPAYS . "` WHERE `pays_code` = '" . $db->escape($code) . "' AND `pays_lng` = '$lng'";
        $nbres = $db->get_var($rech, ARRAY_A);
        if ($nbres == 0) {
            $rech = "INSERT INTO `" . TBPAYS . "` (pays_code,pays_nom,pays_codeadev,pays_lng) VALUES ('" . $db->escape($code) . "','" . $db->escape($nom) . "','$codeadev','$lng')";
            $db->query($rech);
            $msg = _("Fiche ajoutée");
        } else {
            $msg = _("Ce code existe déjà");
            $retourliste = FALSE;
        }
        break;

    // Modification de la fiche Pays
    case "edit" :
        $rech = "SELECT COUNT(*) FROM `" . TBPAYS . "` WHERE `pays_code` = '" . $db->escape($code) . "' AND `pays_lng` = '$lng'";
        $nbres = $db->get_var($rech);
        if ($nbres == 1) {
            $rech = "UPDATE `" . TBPAYS . "` SET `pays_nom`='" . $db->escape($nom) . "', `pays_codeadev`='" . $codeadev . "'";
            $rech .= " WHERE `pays_code` = '" . $db->escape($code) . "' AND `pays_lng` = '" . $lng . "'";
            $db->query($rech);
            $msg = _("Fiche modifiée");
        } else {
            $msg = _("Modification impossible");
            $retourliste = FALSE;
        }
        break;

    // Suppression de la fiche Pays
    case "del" :
        if (pays_used($code, FALSE) == TRUE) {
            $msg = _("Ce pays est déjà utilisé");
            $retourliste = FALSE;
        } else {
            $rech = "SELECT COUNT(*) FROM `" . TBPAYS . "` WHERE `pays_code` = '" . $db->escape($code) . "' AND `pays_lng`='$lng'";
            $nbres = $db->get_var($rech);
            if ($nbres == 1) {
                // Non - > suppression de la fiche Pays
                $rech = "DELETE FROM `" . TBPAYS . "` WHERE `pays_code` = '" . $db->escape($code) . "' AND `pays_lng`='$lng'";
                $db->query($rech);
                $msg = _("Fiche supprimée");
            } else {
                $msg = _("Suppression impossible");
                $retourliste = FALSE;
            }
        }
        break;
}
$db->disconnect();
?>
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8">
        <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Fiche Pays"); ?></title>

        <?PHP include_once("../inc/header.inc.php"); ?>

        <script type="text/javascript">
            <!--
            function init_all() {
                init_Body();
                Focus_first();
            }

            $(document).ready(function () {
                init_all();
            });
            //-->
        </script>

    </head>
<body>
<?PHP
if ($tx <> "f")
    include_once("../inc/entete.inc.php");
?>
    <p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
    <p align="center">&nbsp;</p>
<?PHP
if ($tx <> "f") {
    if ($retourliste == FALSE) {
        exec_func_js("warn_txt('" . str_escape($msg) . "')");
        aff_ret_idx_man($td, "pays_lst.php", _("Retour à la liste"), TRUE);
    } else
        pop_ret_auto($msg, 'ok', "pays_lst.php");
} else {
    /*
    cre_js_dep("window.opener.");
    exec_func_js("updatdep()");
    */
    close_fen_auto('', 'fscomp');
}
if ($tx <> "f")
    include_once("pied.php")
?>